From 398316873e796f4a281bbfd8fe8afb9689c0b474 Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Aug 05 2016 13:22:49 +0000
Subject: [PATCH 602/1001] seperating fedora and python dependency install


---

diff --git a/setup_python_test_env.sh b/setup_python_test_env.sh
new file mode 100644
index 0000000..4681c75
--- /dev/null
+++ b/setup_python_test_env.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# have bash find mkvirutalenv
+source ~/.bashrc
+
+# remove the hubs env
+rmvirtualenv hubs
+
+# Create hubs env
+mkvirtualenv hubs
+
+# activate hubs
+workon hubs
+
+# install python deps
+pip install --upgrade -r requirements.txt
+pip install --upgrade -r test-requirements.txt
+
+# TEMPORARY: html5lib update is causing other apps to crash
+pip install html5lib==0.9999999
diff --git a/setup_test_env.sh b/setup_test_env.sh
index fed2ad4..bee1732 100644
--- a/setup_test_env.sh
+++ b/setup_test_env.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 ######
 # Warning this file uses sudo to install dependencies use at your own risk
@@ -10,21 +10,4 @@ sudo yum install -y gcc gcc-c++ sqlite-devel libffi-devel openssl-devel redhat-r
 # setup python virtualenv
 sudo yum install -y python-virtualenvwrapper postgresql postgresql-devel
 
-# have bash find mkvirutalenv
-source ~/.bashrc
-
-# remove the hubs env
-rmvirtualenv hubs
-
-# Create hubs env
-mkvirtualenv hubs
-
-# activate hubs
-workon hubs
-
-# install python deps
-pip install --upgrade -r requirements.txt
-pip install --upgrade -r test-requirements.txt
-
-# TEMPORARY: html5lib update is causing other apps to crash
-pip install html5lib==0.9999999
+sh ./setup_python_test_env.sh

